Subject: Re: bug#77580: [PATCH] New command ediff-undo

From: "Paul D. Nelson" <[email-masked]>
Date: Wed, 09 Apr 2025 22:27:24 +0200

Hi Michael and Sean,

Many thanks for the pointer to vundo.  It's a great tool for navigating
undo histories visually.

The commands I've proposed (ediff-undo and diff-with-undo) serve a
somewhat different niche, primarily addressing a simpler use case:
quick, one-off comparisons with recent undo states, typically one or two
steps back.  Their implementation is straightforward and minimal.  vundo
is more innovative, but also more complex.  For the common scenarios
where I've found the proposed commands useful, vundo would generally be
overkill.

Regarding the "how far back to undo?" problem that Sean raised earlier
in this thread, vundo indeed seems like a natural interface.  It might
fully address that problem after a couple enhancements: Ediff support
(as you mentioned, likely straightforward) and region-sensitivity
(potentially more involved).

Paul